import React from 'react';

type AnimationType = 'fade' | 'height' | 'slideLeft' | 'slideRight' | 'fadeSlideLeft' | 'fadeSlideRight';
export interface IAnimationInOutProps {
   visible?: boolean; // mostrar/esconder
   durationIn?: number | number[]; // duração da animação de entrada
   durationOut?: number | number[]; // duração da animação de saida
   animationIn?: AnimationType | AnimationType[]; // animação de entrada
   animationOut?: AnimationType | AnimationType[]; // animação de saida
   children?: any;
}
